package de.ivu.elect.presentation.stimmeingabe.table;

import de.ivu.elect.business.stimmeingabe.entity.StimmeingabeHochgerechnet;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class StimmeingabeHochgerechnetStimmenHochgerechnetColumn extends AbstractStimmeingabeHochgerechnetColumn {

  private static final long serialVersionUID = 1L;

  protected StimmeingabeHochgerechnetStimmenHochgerechnetColumn(Messages messages) {
    super(messages);
  }

  @Override
  public Object getValue(StimmeingabeHochgerechnet entity) {
    return entity.getAnzahlHochgerechnet();
  }

  @Override
  public String getHeader() {
    return getMessage("stimmeingabe.hochgerechnet.stimmen.anzahl.hochgerechnet");
  }

  @Override
  public ColumnType getType() {
    return ColumnType.LONG;
  }
}
